<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Bebas Kewajiban</title>
    <style>
        .table td, .table th {
            white-space: normal;
        }
    </style>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Bebas Kewajiban </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <div class="container-fluid mt--7">
        <!-- Table -->
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <form method="get">
                            <div class="row align-items-center">
                                <div th:if="${staff != null}" class="col-md-6">
                                    <a th:href="@{/kewajiban/admin/perpus/approval/staff}" class="btn btn-sm btn-success">Histori Approval</a>
                                </div>
                                <div th:if="${kabag != null}" class="col-md-6">
                                    <a th:href="@{/kewajiban/admin/perpus/approval/kabag}" class="btn btn-sm btn-success">Histori Approval</a>
                                </div>
                                <div th:if="${kabag != null}" class="col-md-6">
                                    <div class="input-group mb-3">
                                        <input type="text" name="search" class="form-control" placeholder="Search" th:value="${search}">
                                        <div class="input-group-append">
                                            <button class="btn btn-info" type="submit"><i class="fas fa-search"></i> Search</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>

                    <div class="card-body">

                        <div th:if="${listMahasiswa != null}" class="table-responsive">
                            <table id="data-table-1" class="table align-items-center table-flush">
                                <thead class="thead-light">
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">NIM</th>
                                    <th scope="col">Nama</th>
                                    <th scope="col">Prodi</th>
                                    <th scope="col">Angkatan</th>
                                    <th scope="col" width="30px;">Status Staff</th>
                                    <th scope="col" width="30px;">Status Kabag</th>
                                    <th scope="col"></th>

                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="data,row : ${listMahasiswa}">
                                    <td th:text="${(row.index + 1)}">1</td>
                                    <td th:text="${data.mahasiswa.nim}">12</td>
                                    <td th:text="${data.mahasiswa.nama}">12</td>
                                    <td th:text="${data.mahasiswa.idProdi.namaProdi}">2020</td>
                                    <td th:text="${data.mahasiswa.angkatan}">2020</td>
                                    <td th:if="${data.statusApprovePerpus == data.statusApprovePerpus.WAITING}">
                                        <button type="button" class="btn btn-warning btn-sm">WAITING</button>
                                    </td>
                                    <td th:if="${data.statusApprovePerpus == data.statusApprovePerpus.APPROVED}">
                                        <button type="button" class="btn btn-success btn-sm">APPROVED</button>
                                    </td>
                                    <td th:if="${data.statusApprovePerpus == data.statusApprovePerpus.REJECTED}">
                                        <button type="button" class="btn btn-danger btn-sm">REJECTED</button>
                                    </td>
                                    <td >
                                        <button type="button" th:text="${data.statusApproveKabagPerpus}" class="btn btn-primary btn-sm">REJECTED</button>
                                    </td>

                                    <td>
                                        <!--button-->
                                        <a th:href="@{/kewajiban/admin/perpus/detail(id=${data.id})}" class="btn btn-info btn-sm">
                                            <i class="fas fa-eye"></i> Detail
                                        </a>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>

                        <div th:if="${listMahasiswaKabag != null}" class="table-responsive">
                            <table class="table align-items-center table-flush">
                                <thead class="thead-light">
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">NIM</th>
                                    <th scope="col">Nama</th>
                                    <th scope="col">Prodi</th>
                                    <th scope="col">Angkatan</th>
                                    <th scope="col" width="30px;">Status Staff</th>
                                    <th scope="col" width="30px;">Status Kabag</th>
                                    <th scope="col" colspan="2"></th>

                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="data,row : ${listMahasiswaKabag}">
                                    <td th:text="${(row.index + 1) + (listMahasiswaKabag.number * listMahasiswaKabag.size)}">1</td>
                                    <td th:text="${data.mahasiswa.nim}">12</td>
                                    <td th:text="${data.mahasiswa.nama}">12</td>
                                    <td th:text="${data.mahasiswa.idProdi.namaProdi}">2020</td>
                                    <td th:text="${data.mahasiswa.angkatan}">2020</td>
                                    <td >
                                        <button type="button" th:text="${data.statusApprovePerpus}" class="btn btn-primary btn-sm" data-toggle="modal" th:data-target="${'#modal-komentar'+data.id}">WAITING</button>
                                        <div class="modal fade" th:id="${'modal-komentar'+data.id}" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                            <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" id="exampleModalLabel">Persyaratan</h5>
                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                            <span aria-hidden="true">&times;</span>
                                                        </button>
                                                    </div>
                                                    <div class="modal-body">
                                                        <table class="table-modal">
                                                            <tr><h4>Daftar yang harus di selesaikan untuk mendapatan persetujuan perpustakaan:</h4></tr>
                                                            <tr th:each="dataKewajiban, row: ${listKewajiban}">
                                                                <td style="width: 30px;">
                                                                    <input th:name="${'check-'+data.id}" th:if="${data.id == dataKewajiban.bebasKewajiban.id && dataKewajiban.status == dataKewajiban.status.AKTIF}" checked disabled type="checkbox" th:id="${data.id + '-checkbox'}">
                                                                    <input th:name="${'check-'+data.id}" th:if="${data.id == dataKewajiban.bebasKewajiban.id && dataKewajiban.status == dataKewajiban.status.NONAKTIF}" disabled type="checkbox" th:id="${data.id + '-checkbox'}">
                                                                </td>
                                                                <td>
                                                                    <label th:if="${data.id == dataKewajiban.bebasKewajiban.id}" th:for="${dataKewajiban.id + '-checkbox'}" th:text="${dataKewajiban.kewajibanPerpus.keterangan}"></label>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <td th:if="${data.statusApproveKabagPerpus == data.statusApproveKabagPerpus.WAITING}">
                                        <button type="button" class="btn btn-warning btn-sm">WAITING</button>
                                    </td>
                                    <td th:if="${data.statusApproveKabagPerpus == data.statusApproveKabagPerpus.APPROVED}">
                                        <button type="button" class="btn btn-success btn-sm">APPROVED</button>
                                    </td>
                                    <td th:if="${data.statusApproveKabagPerpus == data.statusApproveKabagPerpus.REJECTED}">
                                        <button type="button" class="btn btn-danger btn-sm">REJECTED</button>
                                    </td>

                                    <td th:if="${data.statusApproveKabagPerpus == data.statusApproveKabagPerpus.WAITING || data.statusApproveKabagPerpus == data.statusApproveKabagPerpus.REJECTED}">
                                        <!--button-->
                                        <form th:action="@{/kewajiban/admin/perpus/approve(bebasKewajiban=${data.id})}" method="post">
                                            <button type="submit" class="btn btn-success btn-outline-success btn-sm">
                                                Approved
                                            </button>
                                        </form>
                                    </td>
                                    <td th:if="${data.statusApproveKabagPerpus == data.statusApproveKabagPerpus.WAITING || data.statusApproveKabagPerpus == data.statusApproveKabagPerpus.REJECTED}">
                                        <button type="submit" class="btn btn-danger btn-outline-danger btn-sm" data-toggle="modal" th:data-target="${'#modal-rejected'+data.id}">Rejected</button>
                                        <div class="modal fade" th:id="${'modal-rejected'+data.id}" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-centered" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" id="exampleModalLabel">Komentar</h5>
                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                            <span aria-hidden="true">&times;</span>
                                                        </button>
                                                    </div>
                                                    <div class="modal-body">
                                                        <h2>Histori Komentar</h2>
                                                        <div th:each="histori, row:${histori}">
                                                            <b th:if="${histori.bebasKewajiban.id == data.id}" th:text="${#temporals.format(histori.waktuInput, 'dd-MM-yyyy HH:mm')}"></b>
                                                            <p th:if="${histori.bebasKewajiban.id == data.id}" th:text="${histori.komentar}"></p>
                                                        </div>
                                                        <form th:action="@{/kewajiban/admin/perpus/reject(bebasKewajiban=${data.id})}" method="post">
                                                            <div class="form-group">
                                                                <label for="keterangan">Komentar</label>
                                                                <textarea name="komentar" class="form-control" placeholder="Komentar" id="keterangan" cols="30" rows="10"></textarea>
                                                            </div>
                                                            <div class="form-group">
                                                                <button class="btn btn-danger" type="submit">Reject</button>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                        <div th:if="${listMahasiswaKabag != null}" class="card-footer py-4">
                            <nav aria-label="...">
                                <ul class="pagination justify-content-end mb-0" sd:pagination="full">
                                    <li class="disabled"><a href="#" aria-label="Previous"><span
                                            aria-hidden="true">&laquo;</span></a>
                                    </li>
                                    <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                    </li>
                                </ul>
                            </nav>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Dark table -->


    </div>
</div>

<!--modal-->

</body>
</html>

<script>

</script>